%define realname Imagick
%define modname imagick
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 55_%{modname}.ini
%define mod_src %{modname}.c

Summary:	Provides a wrapper to the ImageMagick library for PHP
Name:		php-%{modname}
Version:	3.1.0
Release:	%mkrel 3.RC2.4
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/imagick
Source0:	http://pecl.php.net/get/%{modname}-%{version}RC2.tgz
BuildRequires:  php-devel >= 3:5.2.0
BuildRequires:	imagemagick-devel >= 6.3.8
Requires:	imagemagick >= 6.3.8
Requires:	freetype
Requires:	freetype2
Epoch:		2

%description
Imagick is a native php extension to create and modify images using the
ImageMagick API.

imagick is a native php-extension. See the examples in the
%{_docdir}/%{name}/examples directory for some hints on
how to use it.

%prep

%setup -q -n imagick-%{version}RC2
[ "../package.xml" != "/" ] && mv -f ../package.xml .

# lib64 fixes
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[imagick]
imagick.locale_fix = 0
EOF

%files 
%doc examples CREDITS INSTALL README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog

* Wed Jan 30 2013 oden <oden> 2:3.1.0-3.RC2.4.mga3
+ Revision: 393293
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 2:3.1.0-3.RC2.3.mga3
+ Revision: 375809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 2:3.1.0-3.RC2.2.mga3
+ Revision: 330757
- rebuild for new imagemagick

* Sat Oct 13 2012 fwang <fwang> 2:3.1.0-3.RC2.1.mga3
+ Revision: 305173
- rebuild for new imagemagick

* Mon Jul 30 2012 spuhler <spuhler> 2:3.1.0-2RC2.mga3
+ Revision: 275877
- bumped Rel
  moved RC2 to release

* Sun Jul 29 2012 spuhler <spuhler> 1:3.1.0RC2-1.mga3
+ Revision: 275602
- upgrade to 3.1.0RC2

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:3.0.1-8.mga2
+ Revision: 223905
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1:3.0.1-7.mga2
+ Revision: 185314
- rebuild against php-5.3.9

* Tue Sep 13 2011 fwang <fwang> 1:3.0.1-6.mga2
+ Revision: 142832
- rebuild for new imagemagick

* Sun Feb 06 2011 spuhler <spuhler> 1:3.0.1-5.mga1
+ Revision: 48000
- increase rel to 4 to be built
- removed buildroot definition from .spec

* Sun Jan 23 2011 ennael <ennael> 1:3.0.1-4.mga1
+ Revision: 35613
- imported package php-imagick

